# Copyright (C) 2019 Simon Biggs

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import os

from pymedphys._jupyterlab.main import main


def jupyter_cli(subparsers):
    jupyterlab_parser = subparsers.add_parser(
        "jupyterlab", help="A standalone JupyterLab instance"
    )
    jupyterlab_parser.add_argument("working_directory", nargs="?", default=os.getcwd())

    jupyterlab_parser.set_defaults(func=main)

    return jupyterlab_parser
